/*
 * $Id: main.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/SelfTest/include/top.h"

#ifndef MTI_SYSTEMC
# ifndef SYSTEMC
int main    (int argc, char * argv[])
# else
int sc_main (int argc, char * argv[])
# endif
{
  int _return = EXIT_SUCCESS;

  try 
    {
      top * my_top = new top ("my_top",argc,argv);

      my_top->test();

      delete my_top;
    }
  catch (morpheo::ErrorMorpheo & error)
    {
      msgError(_("%s\n"),error.what ());
      _return = EXIT_FAILURE;
    }
  
  try 
    {
      if (_return == EXIT_SUCCESS)
	TEST_OK("Execute_queue : no error");
      else
	TEST_KO("Execute_queue : a lot of error");
    }
  catch (morpheo::ErrorMorpheo & error)
    {
//    msgError(_("<%s> :\n%s"),name.c_str(), error.what ());
      _return = EXIT_FAILURE;
    }

  return _return;
}
#endif
